#include<math.h>
#include<stdio.h>
#include<stdlib.h>
#include"neuralnet.h"

double StepFunction(double net)
{
	return net < 0 ? 0 : 1;
}

void Forward(double *input, double *output, int ni, int no, double wio[ni][no])
{
	int i, j;
	double net;

	input[ni-1] = 1;

	for(i=0; i<no; i++){
		net = .0;
		for(j=0; j<ni; j++){
			net += wio[j][i]*input[j];
		}
		output[i] = StepFunction(net);
	}
}

void Backward(double *input, double *output, int ni, int no, double wio[ni][no], double eta, double *teacher)
{
	int i, j;

	for(i=0; i<no; i++){
		for(j=0; j<ni; j++){
			wio[j][i] += eta*(teacher[i] - output[i])*input[j];
		}
	}
}

